package cn.rankin.productservice.controller;

import cn.rankin.data.api.product.entity.Product;
import cn.rankin.productservice.service.PackageService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;


@RestController
@RequestMapping(value = "/package")
@Slf4j
public class PackageController {

    @Autowired
    private PackageService packageService;

    @RequestMapping(value = "/{pid}", method = RequestMethod.GET)
    public Product getPackage(@PathVariable("pid") String pid) {

        return packageService.get(pid);

    }
}

